AbstractLine Class Reference (Kig Python Scripting API)

| # Kig Python Scripting API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members

Public Member Functions | Static Public Member Functions | List of all members
AbstractLine Class Reference

An Object class that is the base of the line-like Object's: Segment, Line and Ray. More...

`#include <line_imp.h>`

Inheritance diagram for AbstractLine:
[legend]
Collaboration diagram for AbstractLine:
[legend]

## Public Member Functions
double | slope () const
| Get the slope of this AbstractLine.
const TQString | equationString () const
| Get a string containing the equation of this line in the form "y = a * x + b ".
LineData | data () const
| Get the LineData for this AbstractLine.
bool | equals (const Object &rhs) const
| Returns true if this Object is equal to rhs.
Public Member Functions inherited from Curve
Coordinate | attachPoint () const
| Returns a reference point where to attach labels; when this returns an invalidCoord then the attachment is either not done at all, or done in a specific way (like for curves, or for points) The treatment of points could also take advantage of this attachment mechanism.
virtual Curve * | copy () const =0
| Returns a copy of this Object.
virtual bool | containsPoint (const Coordinate &p, const KigDocument &) const =0
| Return whether this Curve contains the given point.
Public Member Functions inherited from Object
bool | inherits (const ObjectType *t) const
| Returns true if this Object inherits the Object type represented by t.
virtual Object * | transform (const Transformation &t) const =0
| Return this Object, transformed by the transformation t.
bool | valid () const
| Returns true if this is a valid Object.
virtual const ObjectType * | type () const =0
| Returns the lowermost ObjectType that this object is an instantiation of.

## Static Public Member Functions
static const ObjectType * | stype ()
| Returns the ObjectType representing the AbstractLine type.
Static Public Member Functions inherited from Curve
static const ObjectType * | stype ()
| Returns the ObjectType representing the Curve type.
Static Public Member Functions inherited from Object
static const ObjectType * | stype ()
| The ObjectType representing the base Object class.

## Detailed Description

An Object class that is the base of the line-like Object's: Segment, Line and Ray.

## Member Function Documentation

## ◆ equals()

bool AbstractLine::equals | ( | const Object & | rhs | ) | const
| virtual

Returns true if this Object is equal to rhs.

This function checks whether rhs is of the same Object type, and whether it contains the same data as this Object.

Implements Object.

## ◆ slope()

double AbstractLine::slope | ( |  | ) | const

Get the slope of this AbstractLine.

. For a line through points a( xa, ya ) and b ( xb, yb ), this means the value ( yb - ya ) / ( xb - xa ).

## ◆ stype()

const ObjectType * AbstractLine::stype | ( |  | ) |
| static

Returns the ObjectType representing the AbstractLine type.

This file is part of the documentation for tdelibs .
Documentation copyright © 1996-2002 the KDE developers.
Generated on by doxygen 1.16.1 written by Dimitri van Heesch, © 1997-2001